Package org.gradle.api

# Enum AntBuilder.AntMessagePriority

java.lang.Object
java.lang.Enum<AntBuilder.AntMessagePriority>
org.gradle.api.AntBuilder.AntMessagePriority

All Implemented Interfaces:
  `Serializable`, `Comparable<AntBuilder.AntMessagePriority>`, `Constable`

Enclosing class:
  `AntBuilder`

public static enum AntBuilder.AntMessagePriority extends Enum<AntBuilder.AntMessagePriority>
Represents the normal Ant message priorities.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEBUG`
  `ERROR`
  `INFO`
  `VERBOSE`
  `WARN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AntBuilder.AntMessagePriority`
  `from(int messagePriority)`
  `static AntBuilder.AntMessagePriority`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AntBuilder.AntMessagePriority[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEBUG

    public static final AntBuilder.AntMessagePriority DEBUG

  - ### VERBOSE

    public static final AntBuilder.AntMessagePriority VERBOSE

  - ### INFO

    public static final AntBuilder.AntMessagePriority INFO

  - ### WARN

    public static final AntBuilder.AntMessagePriority WARN

  - ### ERROR

    public static final AntBuilder.AntMessagePriority ERROR

- ## Method Details

  - ### values

    public static AntBuilder.AntMessagePriority[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AntBuilder.AntMessagePriority valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### from

    public static AntBuilder.AntMessagePriority from(int messagePriority)